//
//  YHHKEventViewController.swift
//  galaxy
//
//  Created by EDY on 2024/4/11.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import WebKit

class YHHKEventViewController: YHBaseViewController {
    let homeViewModel: YHHomePageViewModel = YHHomePageViewModel()
    var sectionView: YHServiceSectionView!
    var webview = WKWebView()

    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        loadData()
    }
}

extension YHHKEventViewController {
    func loadData() {
        homeViewModel.getHKEvent {[weak self] success, error in
            guard let self = self else { return }
            self.sectionView.type = 1
            self.sectionView.dataSource = self.homeViewModel.hkList ?? []
            guard let model = self.homeViewModel.hkList?.first, let urlString = model.list.first else { return }
            let url = NSURL(string: urlString)
            // 创建请求
            let request = NSURLRequest(url: url! as URL)
            // 加载请求
            self.webview.load(request as URLRequest)
        }
    }
    
    func setupUI() {
        gk_navBarAlpha = 1
        
        sectionView = {
            let view = YHServiceSectionView()
            view.hkBlock = {[weak self] model in
                guard let self = self else { return }
                guard let urlString = model.list.first else { return }
                let url = NSURL(string: urlString)
                // 创建请求
                let request = NSURLRequest(url: url! as URL)
                // 加载请求
                self.webview.load(request as URLRequest)
            }
            return view
        }()
        
        view.addSubview(sectionView)
        sectionView.snp.makeConstraints { make in
            make.left.right.equalToSuperview()
            make.top.equalToSuperview().offset(k_Height_NavigationtBarAndStatuBar)
            make.height.equalTo(48)
        }
        
        let navHeight = self.navigationController?.navigationBar.frame.height
        //获取状态栏高度
        let statusHeight = k_Height_statusBar()
        
        // 创建wkwebview
        webview = WKWebView(frame: CGRect(x: 0, y: statusHeight + navHeight! + 48, width: self.view.frame.width, height: self.view.frame.height - statusHeight - navHeight! - 48))
        // 添加wkwebview
        self.view.addSubview(webview)
        
    }
}
